Class | Bio::PAML::Codeml::Report
In: | lib/bio/appl/paml/codeml/report.rb
Parent: | Bio::PAML::Common::Report

## Description

A simple class for parsing codeml output.

WARNING: This data is parsed using a regex from the output file, and so will take the first result found. If using multiple tree‘s, your milage may vary. See the source for the regular expressions.

require ‘bio‘

report = Bio::PAML::Codeml::Report.new(File.open(codeml_output_file).read) report.gene_rate # => Rate of gene evolution as defined be alpha report.tree_lengh # => Estimated phylogetic tree length

### Methods

new

### Attributes

alpha | [R] |
tree | [R] |
tree_length | [R] |
tree_log_likelihood | [R] |

### Public Class methods

new(codeml_report)

[Source]

        # File lib/bio/appl/paml/codeml/report.rb, line 39
    39:       def initialize(codeml_report)
    40:         @tree_log_likelihood = pull_tree_log_likelihood(codeml_report)
    41:         @tree_length = pull_tree_length(codeml_report)
    42:         @alpha = pull_alpha(codeml_report)
    43:         @tree = pull_tree(codeml_report)
    44:       end

[Validate]